# Uses of Class
org.eclipse.core.resources.mapping.ModelProvider

Packages that use ModelProvider
Package
Description
org.eclipse.core.resources.mapping
Provides APIs for integrating application models with the workspace
org.eclipse.ltk.ui.refactoring.model
Application programming interface to provide model integration for refactoring histories.
org.eclipse.team.core.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.

## Uses of ModelProvider in org.eclipse.core.resources.mapping

Methods in org.eclipse.core.resources.mapping that return ModelProvider
Modifier and Type
Method
Description
`ModelProvider`
IModelProviderDescriptor.`getModelProvider()`
Return the model provider for this descriptor, instantiating it if it is the first time the method is called.
`final ModelProvider`
ResourceMapping.`getModelProvider()`
Return the model provider for the model object of this resource mapping.

## Uses of ModelProvider in org.eclipse.ltk.ui.refactoring.model

Methods in org.eclipse.ltk.ui.refactoring.model that return ModelProvider
Modifier and Type
Method
Description
`protected final ModelProvider`
AbstractResourceMappingMerger.`getModelProvider()`
Constructors in org.eclipse.ltk.ui.refactoring.model with parameters of type ModelProvider
Modifier
Constructor
Description
`protected`
`AbstractResourceMappingMerger(ModelProvider provider)`
Creates a new abstract refactoring model merger.

## Uses of ModelProvider in org.eclipse.team.core.mapping

Methods in org.eclipse.team.core.mapping that return ModelProvider
Modifier and Type
Method
Description
`protected abstract ModelProvider`
ResourceMappingMerger.`getModelProvider()`
Return the model provider associated with this merger.
`ModelProvider[]`
ISynchronizationScope.`getModelProviders()`
Return all the model providers that have mappings in this scope.
Methods in org.eclipse.team.core.mapping with parameters of type ModelProvider
Modifier and Type
Method
Description
`ISynchronizationScopeParticipant`
ISynchronizationScopeParticipantFactory.`createParticipant(ModelProvider provider, ISynchronizationScope scope)`
Create a participant in the scope management process for the given model provider.

## Uses of ModelProvider in org.eclipse.team.ui.mapping

Methods in org.eclipse.team.ui.mapping that return ModelProvider
Modifier and Type
Method
Description
`protected final ModelProvider`
SynchronizationContentProvider.`getModelProvider()`
Return the model provider for this content provider.

## Uses of ModelProvider in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize that return ModelProvider
Modifier and Type
Method
Description
`ModelProvider[]`
ModelSynchronizeParticipant.`getEnabledModelProviders()`
Return the list of model providers that are enabled for the participant.
`static ModelProvider[]`
ModelOperation.`sortByExtension(ModelProvider[] providers)`
Return the list of provides sorted by their extends relationship.
Methods in org.eclipse.team.ui.synchronize with parameters of type ModelProvider
Modifier and Type
Method
Description
`protected IStatus`
ModelMergeOperation.`performMerge(ModelProvider provider, IProgressMonitor monitor)`
Attempt to merge all the mappings that come from the given provider.
`static ModelProvider[]`
ModelOperation.`sortByExtension(ModelProvider[] providers)`
Return the list of provides sorted by their extends relationship.